# Contributing Guide
- All improvements are welcome in the form of pull-requests. More so now than before, as I no longer work primarily on swift. Any suggestions regarding code quality of the app, generated code's quality, Swift related improvements and pull requests are all very welcome.
- If you find bugs please raise them as issue tickets with specifics. Bug is when the feature is not working as it was designed or the app is broken.
- If there are interesting use-cases that you would like to have in the application that would be useful for everyone - would be happy to add them to the app, either raise them as pull-requests or if isn't possible for you to build it raise them as feature request for others to contribute.

- When making any changes please assess them:
 - Is this change relevant for you or do others need it as well - adding features that you/your organisation needs sometimes is a niche and can be done in your branched version. Would be happy to consider but I usually merge things which I see as a more broadly used feature.
- When changing existing functionality (e.g., changing generated variables from `var` to `let`) assess if this is an opinion or a standard way
- When contributing please open your pull-requests to `dev` branch as there will be automation built to create releases.
- Please ensure you add tests for new code you write and fix any tests you break.
